Extending Qt Creator Manual | JsonKitsPage

Extending Qt Creator Manual 4.3.0

# JsonKitsPage Class

(ProjectExplorer::JsonKitsPage)

Inherits: | ProjectExplorer::TargetSetupPage

- List of all members, including inherited members

## Public Types

class | ConditionalFeature

## Public Functions

| JsonKitsPage(QWidget *parent = nullptr)
void | setPreferredFeatures(const QVariant &data)
void | setRequiredFeatures(const QVariant &data)
void | setUnexpandedProjectPath(const QString &path)
QString | unexpandedProjectPath() const

- 13 public functions inherited from ProjectExplorer::TargetSetupPage
- 4 public functions inherited from Utils::WizardPage

## Static Public Members

QVector<ConditionalFeature> | parseFeatures(const QVariant &data, QString *errorMessage = 0)

### Additional Inherited Members

- 1 signal inherited from Utils::WizardPage

## Member Function Documentation

### JsonKitsPage::JsonKitsPage(QWidget *parent = nullptr)

Default constructs an instance of JsonKitsPage.

### `[static]` QVector<ConditionalFeature> JsonKitsPage::parseFeatures(const QVariant &data, QString *errorMessage = 0)

### void JsonKitsPage::setPreferredFeatures(const QVariant &data)

### void JsonKitsPage::setRequiredFeatures(const QVariant &data)

### void JsonKitsPage::setUnexpandedProjectPath(const QString &path)

See also unexpandedProjectPath().

### QString JsonKitsPage::unexpandedProjectPath() const

See also setUnexpandedProjectPath().